package com.kingdee.eas.custom.emp;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class MultiDataToPersonBaseFacadeFactory
{
    private MultiDataToPersonBaseFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("4B9C8740") ,com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade.class);
    }
    
    public static com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("4B9C8740") ,com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("4B9C8740"));
    }
    public static com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.emp.IMultiDataToPersonBaseFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("4B9C8740"));
    }
}